;-------------------------------------------------------------------------
;				Comand Table
;-------------------------------------------------------------------------
;
;			Programming commands
;
command_table:
	.db	"PRO", 0		;program
	rjmp	Program
	.db	"VER", 0		;verify
	rjmp	Verify
	.db	"CRC", 0
	rjmp	Readcrc
	.db	"RSI", 0
	rjmp	Readsig
;			Device selection
	.db	"DM8", 0
	rjmp	dm8			;ATMEGA8 Flash
	.db	"DEM8", 0, 0
	rjmp	dem8			;ATMEGA8 EPROM

;			Programmer control
	.db	"RES", 0
	rjmp	init

command_enable:
;	.db	0xF8, 0xF0, 0xE0, 0x80, 0xFC, 0
	.db	0xF8, 0xF0, 0xE0, 0xC0, 0xFC, 0
	rjmp	enable
	.db	0, 0			;last entry, fits ever
prog_error:
	sbr	flags, 1<<f_error
	ret
;-------------------------------------------------------------------------
dem8:	ldi	flags, 1<<f_enable^1<<f_eeprom
	ret
enable:
	clr	crc_lo
	clr	crc_hi
dm8:	ldi	flags, 1<<f_enable
	ret
;-------------------------------------------------------------------------
